/*
 * Copyright (c) 2005 DocJava, Inc. All Rights Reserved.
 */
package edfinal.pk.LusCs;

import gui.run.RunJob;
import utils.SystemUtils;

import java.io.File;

/**
 * Copyright DocJava, inc. User: lyon
 * <p/>
 * Date: Aug 8, 2005
 * <p/>
 * Time: 9:24:55 AM
 */
public class CheckForDeathJobFile extends RunJob {

    public final static File killFile = new File(SystemUtils.getTmpDir() +
            SystemUtils.getDirectorySeparator() +
            "killcs");

    public CheckForDeathJobFile() {
        super(5);
        startRunCheckThread();
    }

    public static void main(String[] args) {
        new CheckForDeathJobFile();
    }

    public void killMe() {
        killFile.mkdir();
    }

    public void startRunCheckThread() {
        if (killFile.exists()) {
            killFile.delete();
        }
    }

    public void run() {
        checkForDeathFlag();
    }

    private void checkForDeathFlag() {
        if (killFile.exists()) {
            killCS();//kill the CS
        }
    }

    private void killCS() {
        killFile.deleteOnExit();
        System.out.println("cs is dead");
        System.exit(0);
    }
}
