package net.rmi.rjs.pk.rmiFileTransfer;

import net.rmi.rjs.pk.LusCs.BenchMarkBean;
import net.rmi.rjs.pk.LusCs.RemoteJob;

import java.io.File;
import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Created by IntelliJ IDEA.
 * User: pkrepszt
 * Date: Mar 13, 2005
 * Time: 7:27:41 PM
 * To change this template use File | Settings | File Templates.
 */
public interface FileTransInterface extends Remote {
    public BenchMarkBean getBenchMarkBean() throws RemoteException;

    public boolean isAwake() throws RemoteException;

    public void setIsOnTheGrid(boolean b)throws RemoteException;
    public boolean getIsOnTheGrid()throws RemoteException;
    public File getFile(String file, String ip) throws RemoteException;

    public void putFile(String file, byte b[]) throws RemoteException;

    public String putURL(String URL, String webServerIP, String lusIpAddress) throws RemoteException;

    public void putJob(RemoteJob rj, String wsAnwserURL) throws RemoteException;

    public void runLusAnwserFactory(String file, byte b[], String wsAnwserURL) throws RemoteException;
}
